GET /v2/calendar/events

salesloft.com

Summary: List calendar events
Operation ID:
Auth: unknown
Description

Returns all calendar events, paginated and filtered by the date.

Parameters (9)

calendar_id (string, query, optional)

calendar_id of the user who created or included as a guest to the event.

end_time (string, query, optional)

Upper bound (exclusive) for a calendar event's start time to filter by. Must be in ISO 8601 format. Example: `2022-02-14T10:12:59+00:00`.

include_paging_counts (boolean, query, optional)

Whether to include total_pages and total_count in the metadata. Defaults to false

page (integer, query, optional)

The current page to fetch results from. Defaults to 1

per_page (integer, query, optional)

How many records to show per page in the range [1, 100]. Defaults to 25

sort_by (string, query, optional)

Key to sort on, must be one of: start_time. Defaults to start_time

sort_direction (string, query, optional)

Direction to sort in, must be one of: ASC, DESC. Defaults to DESC

start_time (string, query, optional)

Lower bound (inclusive) for a calendar event's end time to filter by. Must be in ISO 8601 format. Example: `2022-02-14T10:12:59+00:00`.

user_guid (string, query, optional)

user_guid of the user who created or included as a guest to the event.

No probe data for this endpoint yet.